Upstream information

CVE-2019-3684 at MITRE

Description

SUSE Manager until version 4.0.7 and Uyuni until commit 1b426ad5ed0a7191a6fb46bb83e98ae4b99a5ade created world-readable swap files on systems that don't have a swap already configured and don't have btrfs as filesystem

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 4.3
Vector AV:N/AC:M/Au:N/C:P/I:N/A:N
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact Partial
Integrity Impact None
Availability Impact None
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 5.9 4
Vector CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:U/C:H/I:N/A:N CVSS:3.0/AV:L/AC:L/PR:N/UI:N/S:U/C:L/I:N/A:N
Access Vector Network Local
Access Complexity High Low
Privileges Required None None
User Interaction None None
Scope Unchanged Unchanged
Confidentiality Impact High Low
Integrity Impact None None
Availability Impact None None
CVSSv3 Version 3 3
SUSE Bugzilla entry: 1131954 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Manager Proxy 3.2
  • python2-rhncfg >= 5.10.122.3-3.3.1
  • python2-rhncfg-actions >= 5.10.122.3-3.3.1
  • python2-rhncfg-client >= 5.10.122.3-3.3.1
  • python2-rhncfg-management >= 5.10.122.3-3.3.1
  • python2-spacewalk-certs-tools >= 2.8.8.10-3.11.1
  • python2-zypp-plugin-spacewalk >= 1.0.5-3.7.1
  • rhncfg >= 5.10.122.3-3.3.1
  • rhncfg-actions >= 5.10.122.3-3.3.1
  • rhncfg-client >= 5.10.122.3-3.3.1
  • rhncfg-management >= 5.10.122.3-3.3.1
  • spacewalk-backend >= 2.8.57.16-3.30.1
  • spacewalk-backend-libs >= 2.8.57.16-3.30.1
  • spacewalk-base-minimal >= 2.8.7.16-3.27.1
  • spacewalk-base-minimal-config >= 2.8.7.16-3.27.1
  • spacewalk-certs-tools >= 2.8.8.10-3.11.1
  • spacewalk-proxy >= 2.8.5.5-3.6.2
  • spacewalk-proxy-broker >= 2.8.5.5-3.6.2
  • spacewalk-proxy-common >= 2.8.5.5-3.6.2
  • spacewalk-proxy-installer >= 2.8.6.6-3.12.1
  • spacewalk-proxy-management >= 2.8.5.5-3.6.2
  • spacewalk-proxy-package-manager >= 2.8.5.5-3.6.2
  • spacewalk-proxy-redirect >= 2.8.5.5-3.6.2
  • spacewalk-proxy-salt >= 2.8.5.5-3.6.2
  • spacewalk-web >= 2.8.7.16-3.27.1
  • susemanager-web-libs >= 2.8.7.16-3.27.1
  • zypp-plugin-spacewalk >= 1.0.5-3.7.1
Patchnames:
SUSE-SUSE-Manager-Proxy-3.2-2019-1703
SUSE Manager Server 3.2
  • cobbler >= 2.6.6-6.19.1
  • py26-compat-salt >= 2016.11.10-6.26.1
  • python2-spacewalk-certs-tools >= 2.8.8.10-3.11.1
  • salt-netapi-client >= 0.16.0-4.11.1
  • spacewalk-backend >= 2.8.57.16-3.30.1
  • spacewalk-backend-app >= 2.8.57.16-3.30.1
  • spacewalk-backend-applet >= 2.8.57.16-3.30.1
  • spacewalk-backend-config-files >= 2.8.57.16-3.30.1
  • spacewalk-backend-config-files-common >= 2.8.57.16-3.30.1
  • spacewalk-backend-config-files-tool >= 2.8.57.16-3.30.1
  • spacewalk-backend-iss >= 2.8.57.16-3.30.1
  • spacewalk-backend-iss-export >= 2.8.57.16-3.30.1
  • spacewalk-backend-libs >= 2.8.57.16-3.30.1
  • spacewalk-backend-package-push-server >= 2.8.57.16-3.30.1
  • spacewalk-backend-server >= 2.8.57.16-3.30.1
  • spacewalk-backend-sql >= 2.8.57.16-3.30.1
  • spacewalk-backend-sql-oracle >= 2.8.57.16-3.30.1
  • spacewalk-backend-sql-postgresql >= 2.8.57.16-3.30.1
  • spacewalk-backend-tools >= 2.8.57.16-3.30.1
  • spacewalk-backend-xml-export-libs >= 2.8.57.16-3.30.1
  • spacewalk-backend-xmlrpc >= 2.8.57.16-3.30.1
  • spacewalk-base >= 2.8.7.16-3.27.1
  • spacewalk-base-minimal >= 2.8.7.16-3.27.1
  • spacewalk-base-minimal-config >= 2.8.7.16-3.27.1
  • spacewalk-certs-tools >= 2.8.8.10-3.11.1
  • spacewalk-config >= 2.8.5.7-3.16.1
  • spacewalk-html >= 2.8.7.16-3.27.1
  • spacewalk-java >= 2.8.78.22-3.32.1
  • spacewalk-java-config >= 2.8.78.22-3.32.1
  • spacewalk-java-lib >= 2.8.78.22-3.32.1
  • spacewalk-java-oracle >= 2.8.78.22-3.32.1
  • spacewalk-java-postgresql >= 2.8.78.22-3.32.1
  • spacewalk-taskomatic >= 2.8.78.22-3.32.1
  • spacewalk-web >= 2.8.7.16-3.27.1
  • susemanager >= 3.2.18-3.25.2
  • susemanager-advanced-topics_en-pdf >= 3.2-11.26.1
  • susemanager-best-practices_en-pdf >= 3.2-11.26.1
  • susemanager-docs_en >= 3.2-11.26.1
  • susemanager-getting-started_en-pdf >= 3.2-11.26.1
  • susemanager-jsp_en >= 3.2-11.26.1
  • susemanager-reference_en-pdf >= 3.2-11.26.1
  • susemanager-schema >= 3.2.19-3.25.1
  • susemanager-sls >= 3.2.25-3.29.1
  • susemanager-sync-data >= 3.2.15-3.23.1
  • susemanager-tools >= 3.2.18-3.25.2
  • susemanager-web-libs >= 2.8.7.16-3.27.1
Patchnames:
SUSE-SUSE-Manager-Server-3.2-2019-1703


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Manager Proxy 3.2 release-notes-susemanager-proxy Released
SUSE Manager Proxy 3.2 rhncfg Released
SUSE Manager Proxy 3.2 spacewalk-backend Released
SUSE Manager Proxy 3.2 spacewalk-certs-tools Released
SUSE Manager Proxy 3.2 spacewalk-proxy Released
SUSE Manager Proxy 3.2 spacewalk-proxy-installer Released
SUSE Manager Proxy 3.2 spacewalk-web Released
SUSE Manager Proxy 3.2 zypp-plugin-spacewalk Released
SUSE Manager Server susemanager Ignore
SUSE Manager Server 3.2 cobbler Released
SUSE Manager Server 3.2 py26-compat-salt Released
SUSE Manager Server 3.2 release-notes-susemanager Released
SUSE Manager Server 3.2 salt-netapi-client Released
SUSE Manager Server 3.2 spacewalk-backend Released
SUSE Manager Server 3.2 spacewalk-certs-tools Released
SUSE Manager Server 3.2 spacewalk-config Released
SUSE Manager Server 3.2 spacewalk-java Released
SUSE Manager Server 3.2 spacewalk-web Released
SUSE Manager Server 3.2 susemanager Released
SUSE Manager Server 3.2 susemanager-docs_en Released
SUSE Manager Server 3.2 susemanager-schema Released
SUSE Manager Server 3.2 susemanager-sls Released
SUSE Manager Server 3.2 susemanager-sync-data Released
SUSE Manager Server 4.0 Module susemanager Already fixed